@echo off 
cd %2
\Utils\Vasm\vasmZ80_OldStyle_win32.exe %1  -chklabels -nocase -Dvasm=1 -DBuildSGG=1 -Fbin -o "\RelSMS\cart.gg" 

if not "%errorlevel%"=="0" goto Abandon
cd \
Emu\Fusion\Fusion.exe RelSMS\cart.gg
exit
:Abandon
if "%3"=="nopause" exit
pause
